org.jfree.xml.factory.objects

## Class DecimalFormatObjectDescription

- java.lang.Object
- - org.jfree.xml.factory.objects.AbstractObjectDescription
  - - org.jfree.xml.factory.objects.BeanObjectDescription
    - - org.jfree.xml.factory.objects.DecimalFormatObjectDescription

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ObjectDescription

      public class DecimalFormatObjectDescription
      extends BeanObjectDescription

  An object-description for a `DecimalFormat` object.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecimalFormatObjectDescription()` Creates a new object description.
    `DecimalFormatObjectDescription(java.lang.Class className)` Creates a new object description.
    `DecimalFormatObjectDescription(java.lang.Class className, boolean init)` Deprecated. should no longer be used...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject()` Creates an object (`DecimalFormat`) based on this description.
    `void` | `setParameterFromObject(java.lang.Object o)` Sets the parameters of this description object to match the supplied object.

    - ### Methods inherited from class org.jfree.xml.factory.objects.BeanObjectDescription

      `ignoreParameter, isParameterIgnored`

    - ### Methods inherited from class org.jfree.xml.factory.objects.AbstractObjectDescription

      `configure, convertPrimitiveClass, equals, getConfig, getDefinedParameterNames, getInstance, getObjectClass, getParameter, getParameterDefinition, getParameterNames, getUnconfiguredInstance, hashCode, setParameter, setParameterDefinition`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecimalFormatObjectDescription

          public DecimalFormatObjectDescription()

      Creates a new object description.

    - #### DecimalFormatObjectDescription

          public DecimalFormatObjectDescription(java.lang.Class className)

      Creates a new object description.
      Parameters:
        `className` - the class.

    - #### DecimalFormatObjectDescription

          public DecimalFormatObjectDescription(java.lang.Class className,
                                        boolean init)

      Deprecated. should no longer be used...
      Creates a new object description.
      Parameters:
        `className` - the class.
        `init` - initialise

  - ### Method Detail

    - #### setParameterFromObject

          public void setParameterFromObject(java.lang.Object o)
                                      throws ObjectFactoryException

      Sets the parameters of this description object to match the supplied object.
      Specified by:
        `setParameterFromObject` in interface `ObjectDescription`
      Overrides:
        `setParameterFromObject` in class `BeanObjectDescription`
      Parameters:
        `o` - the object (should be an instance of `DecimalFormat`).
      Throws:
        `ObjectFactoryException` - if there is a problem while reading the properties of the given object.

    - #### createObject

          public java.lang.Object createObject()

      Creates an object (`DecimalFormat`) based on this description.
      Specified by:
        `createObject` in interface `ObjectDescription`
      Overrides:
        `createObject` in class `BeanObjectDescription`
      Returns:
        The object.